package com.liquidnet.service.sweet.vo;

import com.liquidnet.service.sweet.entity.SweetManualShop;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel
public class SweetManualShopAllVo implements Serializable ,Cloneable {
    @ApiModelProperty("推荐")
    private List<SweetManualShop> recommend;
    @ApiModelProperty("吃喝")
    private List<SweetManualShop> eat;
    @ApiModelProperty("玩乐")
    private List<SweetManualShop> play;

    private static final SweetManualShopAllVo obj = new SweetManualShopAllVo();
    public static SweetManualShopAllVo getNew() {
        try {
            return (SweetManualShopAllVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SweetManualShopAllVo();
        }
    }
}
